"use strict";
$("#dialog_inform").hide();
$("#ui_loader_circle").hide();

// 初始化客户端信息
initClientInfo();

var is_langSetting_init = false;

var cachedPageName = 'cachedPageName';
var cachedPrePageName = 'cachedPrePageName';

var currentRecTab = {
    pageName: '',
    pageId: '',
    'previousPage': ''
};

$(document).on('pagecontainerchange', function (e, ui) {
    //console.log('getting history ' + ui.prevPage.attr('id') + ' current : ' + ui.toPage.attr('id'));
    // sessionStorage.setItem(cachedPrePageName, ui.prevPage.attr('id'));
    //
    // $.each($.mobile.navigate.history.stack, function(n, obj) {
    //     console.log('getting current state ' + JSON.stringify(obj));
    // });
    //
    // if ( ui.prevPage.attr('id') === 'controlPage' ||  ui.prevPage.attr('id')  === 'songOrderPage' ) {
    //     var index = $.mobile.navigate.history.stack.length - 2;
    //     $.mobile.navigate.history.stack.splice(index, 1);
    // }


    //console.log('testing' + JSON.stringify($.mobile.navigate.history.stack));
});

//buttom tabPage disable go back, vice verse
function setPageBackAction(enable) {
    if (enable) {
        sessionStorage.setItem('isAtTabPage', 'false');
    } else {
        sessionStorage.setItem('isAtTabPage', 'true');
    }
}

function tabBarItemClicked(obj) {
    // console.log('current obj ' + $(obj).attr('class'));
    var option_selected_obj = $(obj);

    $.each($('.foot_tab_bar > div'), function (index, obj) {
        var nav_item_img = $(obj).children()[0];
        var nav_item_text = $(obj).children()[1];
        nav_item_text = $(nav_item_text).children()[0];
        nav_item_img = $(nav_item_img).children()[0];

        if ($(obj).attr('class') != option_selected_obj.attr('class')) {
            $(nav_item_text).removeClass('clicked');
            $(nav_item_img).removeClass('clicked');
        } else {
            $(nav_item_text).addClass('clicked');
            $(nav_item_img).addClass('clicked');
        }
    });

    setPageBackAction(false);
}

//底部选项卡点击

var iDoubleClick = 0; //实现home tab 双击事件

$(".mainPage").on("tap", function (obj) {
    //window.location.href = "controlPage.html"
    // homePageTapped();
    showTopSearchSection();

    tabBarItemClicked(this);
    resetSearchPage();
    /*if(sessionStorage.getItem(cachedPageName) != 'false' && sessionStorage.getItem(cachedPageName) != null) {
        $.mobile.pageContainer.pagecontainer('change', sessionStorage.getItem(cachedPageName));
    }
    else {
        changePage("index.html#page_home", "none");
    }*/
    showTopNavSection();

    iDoubleClick++;
    setTimeout(function () {
        iDoubleClick = 0;
    }, 500);

    if (iDoubleClick > 1) {
        changeToHomeRecPage();
        iDoubleClick = 0;
    } else {
        setHistoryHomePage();
    }
    return false;
});

/*
$(".mainPage").on("doubletap", function(event) {
    changePage("index.html#page_home", "none");
    sessionStorage.setItem(cachedPageName, 'false');
    return false;
});
*/

$(".pageControl").on("tap", function (obj) {
    //window.location.href = "controlPage.html"
    hideTopSearchSection();

    tabBarItemClicked(this);
    resetSearchPage();
    hideTopNavSection();
    // showTopSearchSection();
    changePage("index.html#controlPage", "none");
    mobile_umengEventStat('control_page_click_event', '点击-底部导航栏');
    _hmt.push(['_trackEvent', '底部导航', '点击', '控制', '']);
    return false;
});

$(".songQueuePage").on("tap", function (obj) {
    hideTopSearchSection();

    tabBarItemClicked(this);
    hideTopNavSection();
    resetSearchPage();
    changePage("index.html#songOrderPage", "none");
    //window.location.href = "songOrderPage.html"
    mobile_umengEventStat('songorderd_page_click_event', '点击-底部导航栏');
    _hmt.push(['_trackEvent', '底部导航', '点击', '已点', '']);
    return false;
});

$(".userPage").on("tap", function (obj) {
    // 微信登陆 
    // 手机登陆
    //          window.location.href = "../home_ktv/Home/User/appIndex?from=601"
    tabBarItemClicked(this);
    resetSearchPage();
    hideTopNavSection();
    hideTopSearchSection();
    changePage("index.html#page_user", "none");
    mobile_umengEventStat('me_page_click_event', '点击-底部导航栏');
    _hmt.push(['_trackEvent', '底部导航', '点击', '我', '']);
    return false;
});


$(window).load(function () {
    hideInformMessage();
    if (window.history && window.history.pushState) {
        $(window).on('popstate', function (event) {
            // alert('current ' + sessionStorage.getItem('isAtTabPage'));
            if (sessionStorage.getItem('isAtTabPage') == 'true') {
                window.history.pushState('forward', null, '#');
                window.history.forward(1);
                event.preventDefault;
                return false;
            }
        });
    }
});

var nav_swiper = null;

function setHistoryHomePage() {
    if (currentRecTab.pageName.length > 0 && currentRecTab.pageId.length > 0) {
        resetTopTabOption(currentRecTab.pageId);
        if (currentRecTab.pageId == 'tab_fav') {
            sessionStorage.setItem('pageType', 4);
        }

        changePage(currentRecTab.pageName, 'none');
    } else {
        changeToHomeRecPage();
    }
}

function changeToHomeRecPage() {
    resetTopTabOption('tab_rec');
    currentRecTab.pageName = 'index.html';
    currentRecTab.pageId = 'tab_rec';
    changePage("index.html#page_home", "none");
    mobile_umengEventStat('recommend_page_click_event', '点击-底部导航栏');
    _hmt.push(['_trackEvent', '底部导航', '点击', '首页', '']);
}

function resetTopTabOption(optionSelected) {
    $.each($('.nav_bar_top > div'), function (index, obj) {
        var nav_item_img = $(this).children()[0];
        var nav_item_text = $(this).children()[1];
        nav_item_text = $(nav_item_text).children()[0];
        nav_item_img = $(nav_item_img).children()[0];
        if ($(obj).attr('id') !== optionSelected) {
            $(nav_item_text).removeClass('selected');
            $(nav_item_img).removeClass('clicked');
        } else {
            $(nav_item_text).addClass('selected');
            $(nav_item_img).addClass('clicked');
        }
    });
}

function resetTopTabOption_control(optionSelected) {
    $.each($('.nav_bar_top_control > div'), function (index, obj) {
        var nav_item_text = $(this).children()[0];
        nav_item_text = $(nav_item_text).children()[0];

        if ($(obj).attr('class').indexOf(optionSelected) > -1) {
            $(nav_item_text).addClass('selected');
        } else {
            $(nav_item_text).removeClass('selected');
        }
    });
}

var currentTabSelected = '';

function initTabOptions() {
    $('.nav_bar_top > div').on('click', function (obj) {
        var option_selected_obj = $(this);

        currentTabSelected = option_selected_obj.attr('id');

        $.each($('.nav_bar_top > div'), function (index, obj) {
            var nav_item_img = $(this).children()[0];
            var nav_item_text = $(this).children()[1];
            nav_item_text = $(nav_item_text).children()[0];
            nav_item_img = $(nav_item_img).children()[0];

            if ($(obj).attr('id') != option_selected_obj.attr('id')) {
                $(nav_item_text).removeClass('selected');
                $(nav_item_img).removeClass('clicked');
            } else {
                $(nav_item_text).addClass('selected');
                $(nav_item_img).addClass('clicked');
            }
        });

        switch (option_selected_obj.attr('id')) {
            case 'tab_rec':
                {
                    // showInformMessage('loading', $.i18n.prop('t_loading_data'), 2500);
                    // this.className = "custom-navbar ui-link ui-btn ui-icon-playList ui-btn-icon-top";
                    currentRecTab.pageName = 'index.html';
                    currentRecTab.pageId = 'tab_rec';

                    changePage("index.html", "none");
                    mobile_umengEventStat('recommend_page_click_event', '点击-推荐');
                    _hmt.push(['_trackEvent', '首页', '点击', '歌手', '']);
                    break;
                }
            case 'tab_songs':
                {
                    currentRecTab.pageName = 'songCategory.html';
                    currentRecTab.pageId = 'tab_songs';

                    changePage("songCategory.html", "none");
                    mobile_umengEventStat('recommend_page_click_event', '点击-歌曲');
                    _hmt.push(['_trackEvent', '首页', '点击', '歌曲', '']);
                    break;
                }
            case 'tab_singer':
                {
                    currentRecTab.pageName = 'singerCategory.html';
                    currentRecTab.pageId = 'tab_singer';
                    // this.className = "custom-navbar ui-link ui-btn ui-icon-playList ui-btn-icon-top";
                    changePage("singerCategory.html", "none");
                    mobile_umengEventStat('recommend_page_click_event', '点击-歌手');
                    _hmt.push(['_trackEvent', '首页', '点击', '歌手', '']);
                    break;
                }
            case 'tab_playlist':
                {
                    currentRecTab.pageName = 'playList.html';
                    currentRecTab.pageId = 'tab_playlist';
                    // this.className = "custom-navbar ui-link ui-btn ui-icon-playList ui-btn-icon-top";
                    changePage("playList.html", "none");
                    mobile_umengEventStat('recommend_page_click_event', '点击-歌单');
                    _hmt.push(['_trackEvent', '首页', '点击', '歌单', '']);
                    break;
                }
            case 'tab_rank':
                {
                    currentRecTab.pageName = 'rankList.html';
                    currentRecTab.pageId = 'tab_rank';
                    // this.className = "custom-navbar ui-link ui-btn ui-icon-playList ui-btn-icon-top";
                    changePage("rankList.html", "none");
                    mobile_umengEventStat('recommend_page_click_event', '点击-排行榜');
                    _hmt.push(['_trackEvent', '首页', '点击', '排行榜', '']);
                    break;
                }
            case 'tab_fav':
                {
                    currentRecTab.pageName = 'songListDetail.html';
                    currentRecTab.pageId = 'tab_fav';
                    // this.className = "custom-navbar ui-link ui-btn ui-icon-playList ui-btn-icon-top";
                    sessionStorage.setItem("songListName", '收藏');
                    sessionStorage.setItem("pageType", 4);
                    sessionStorage.setItem('songList_top_level', '');
                    changePage("songListDetail.html", "none");
                    mobile_umengEventStat('recommend_page_click_event', '点击-收藏');
                    _hmt.push(['_trackEvent', '首页', '点击', '收藏', '']);
                    break;
                }
            default:
                {
                    break;
                }
        }

        return false;
    });

    // $(document).on("scroll",function(){
    //
    // });
    void 0;

    if (is_weixn()) {
        $('.nav_main_tab_top').css({
            'margin-top': -35
        });
    } else {
        var nav_offset = 0;

        window.onscroll = function () {
            var scrollTop = document.documentElement.scrollTop || window.pageYOffset || document.body.scrollTop;

            if (scrollTop <= 35) {
                nav_offset = 0 - scrollTop;
                $('.nav_main_tab_top').css({
                    'margin-top': nav_offset
                });
            } else {
                $('.nav_main_tab_top').css({
                    'margin-top': -35
                });
            }
            //          console.log(nav_offset + ' : nav content top ' + scrollTop);
        };
    }
}

function is_weixn() {
    var ua = navigator.userAgent.toLowerCase();
    if (ua.match(/MicroMessenger/i) == "micromessenger") {
        return true;
    } else {
        return false;
    }
}

//主页
var homePageRefresh;
$('#page_home').on('pagebeforecreate', function (event) {
    initialisePagesStatus(true);
})
    .on("pagecreate", function () {
    initTabOptions();
    //监听分享消息
    window.addEventListener('message', function (e) {
        var data = JSON.parse(e.data);
        if (data.song_name == null) {
            return;
        }
        var shareUrl = sessionStorage.getItem("out_url");
        void 0;
        userShareToThirdPlatformWithParam(shareUrl, data.avatar_url, data.song_name, data.singar_name, data.score);

    }, false);
    document.getElementById('foot_section').style.backgroundColor = '#322937';
    adjustMainPageLayout(); //首页布局调整
    $("#waveAnim").on("tap", function (event) {
        deviceConnection(); //扫一扫
        // changePage("#bindAuthPage",'none');
    });
    hotSongListOperation_mainPage();
    hotPlayListOperation();
    $('#photoMVContent').on('tap',function (e) {
        changeToMvPage();
       return false;
    });
    //搜索，热门歌单等跳转操作
    $("#recommendedList").on("tap", function (event) {
        showInformMessage('loading', $.i18n.prop('t_loading_data'), 2500);

        currentRecTab.pageName = 'playList.html';
        currentRecTab.pageId = 'tab_playlist';

        resetTopTabOption('tab_playlist');
        changePage("playList.html", "none");
        mobile_umengEventStat('recommend_page_click_event', '点击-歌单');
        _hmt.push(['_trackEvent', '首页', '点击', '歌单', '']);
        return false;
    });
    $("#hotSongs").on("tap", function (event) {
        // showInformMessage('loading', $.i18n.prop('t_loading_data'), 3500);
        sessionStorage.setItem("songListName", $.i18n.prop('p_latest_song'));
        sessionStorage.setItem("pageType", 3);
        sessionStorage.setItem('songList_top_level', $.i18n.prop('p_pageTitle_recommend'));

        currentRecTab.pageName = 'songCategory.html';
        currentRecTab.pageId = 'tab_songs';
        resetTopTabOption('tab_songs');

        changePage("songCategory.html", "none");
        mobile_umengEventStat('recommend_page_click_event', '点击-热门歌曲');
        _hmt.push(['_trackEvent', '首页', '点击', '热门歌曲', '']);

        // changePage("songListDetail.html", "none");
        // _hmt.push(['_trackEvent', '首页', '点击', '热门歌曲', '']);
        return false;
    });
    $("#search_mainPage input").on("tap", function (event) {
        void 0;

        if (event.target.nodeName != 'BUTTON') {
            sessionStorage.setItem('search_top_level', $.i18n.prop('p_pageTitle_recommend'));
            changePage("search.html", "none");
                mobile_umengEventStat('search_click_event', '入口-首页');
            _hmt.push(['_trackEvent', '首页', '点击', '搜索框', '']);
            return false;
        }
    });
    $('#btn_scan').on('tap', function (event) {
        scanBtnClick();
        // 分享测试
        // m_scanCodeResult(6, '');
        return false;
    });
    //获取用户收藏列表
    getUserCollectionList();
    //下拉刷新homePageRefreshIcon
    homePageRefresh = new EvRefresh({
        refreshView: "page_home",
        refreshHeader: "homePageRefreshIcon",
        startY: 150,
        stayY: 100,
        callback: function (){
            dataCenterVerification(function (isSuccess, data) { //用户验证,获取有效SERVER IP
                if (isSuccess == true) {
                    requestHotSongsData("0", "6");
                    getHotPlayList("0", "9");
                    requestTopActivityData();
                    mobile_autoLogin();
                } else {
                    showInformMessage('error', $.i18n.prop('t_load_failed_maybe_net_problem'), 3500);
                }
            });
        }
    });
})
    .on("pagebeforeshow", function () {
    document.getElementsByClassName('nav_bar')[0].style.display = 'none';
    detectConnectTypeChanged();
    showTopNavSection();
    showTopSearchSection();
    if (!is_langSetting_init) {
            switchMultiLanguage(getCookie('center_language'), function () {
                changeTitle($.i18n.prop('p_nav_title_home'));
                $('.searchinput').attr('placeholder', $.i18n.prop('p_search_field_home'));
            });
            if (isHybirdApp()) {
                mobile_setLanguage(getCookie('center_language'));
            }
            is_langSetting_init = true;
    }
    if (getPageReloadStatus('page_home') == true) {
        void 0;
        //读取初始 country code
        var countrycode = mobile_getCountryCode();
        sessionStorage.setItem("countrycode",countrycode);
        dataCenterVerification(function (isSuccess, data) { //用户验证,获取有效SERVER IP
            //requestUserInfo(); //请求用户信息
            //requestToBindDevice(); //开始绑定
            if (isSuccess == true) {
                void 0;
                if (getCookie('isConnected') == 'true' && mobile_getConnectType() == 0) { //如果用户已经绑定过机顶盒，退出再进微信点歌，则根据cookie自动进行绑定
                    sessionStorage.setItem("device_sn", getCookie('device_sn'));
                    sessionStorage.setItem("roombindingcode", getCookie('roombindingcode'));
                    sessionStorage.setItem(connect_userID, getCookie(connect_userID));
                    getWebsocketConnectInfo(true);
                }
                void 0;
                //获取歌单
                requestHotSongsData("0", "6");
                //热门歌曲
                getHotPlayList("0", "9");

                //获取顶部活动
                requestTopActivityData();
                //自动登陆
                mobile_autoLogin();
            } else {
                showInformMessage('error', $.i18n.prop('t_load_failed_maybe_net_problem'), 3500);
            }
        });
    }
})
    .on("pageshow", function () {
    if (nav_swiper == null) {
        nav_swiper = new Swiper('.nav_swiper_top', {
            //        scrollbar: '.swiper-scrollbar'
            //        , scrollbarHide: true
            slidesPerView: 'auto',
            centeredSlides: false,
            spaceBetween: 5,
            grabCursor: true,
            freeMode: true,
            freeModeMomentumRatio: 3,
            onTap: function (swiper) {
                void 0;
                return true;
            }
        });
    }
    showFooterTabSection();
    resetSearchPage();
    setPageBackAction(false);

    if (sessionStorage.getItem("isConnected") == 'true' || mobile_isBoxBinded() == true) {
        $("#scanCodeTop").hide();
    } else {
        $("#scanCodeTop").show();
    }
    mobile_onPageStart('page_home');
    reloadCollecStatusOfList($('#hotSongList'));
    window.isForMV = false;

        // zjf - 加载完成，展示webView
        mobile_windowOnLoad();
    })
    .on("pagebeforehide", function () {
    //    $("#foot_section").hide();
    // sessionStorage.setItem('isAtTabPage', 'false');
    hideTopSearchSection();
    mobile_onPageFinish('page_home');
});

//用户中心
$("#page_user").on("pagehide", function () {
    //  $("#foot_section").hide();
    hideDialogAlert();
    mobile_onPageFinish('page_me');
});

//控制页面
$("#controlPage").on("pageshow", function () {
    showFooterTabSection();
    resetSearchPage();
    setPageBackAction(false);
    sessionStorage.setItem("allowScroll", 'false');
    $('.searchinput').attr('placeholder', $.i18n.prop('p_search_field_home'));
    $(document).on("scrollstart", function (e) {
        //alert('getting ' + sessionStorage.getItem("allowScroll"));
        if (sessionStorage.getItem("allowScroll") == 'false') {
            return false;
        }
    });
    // controlPageTapped();
    changeTitle($.i18n.prop('p_pageTitle_control'));
    // resetNavBar('controlPage', '控制', '', 'none');
    document.getElementsByClassName('nav_bar')[0].style.display = 'none';
    mobile_onPageStart('page_control');
    if (controllerSlide == undefined) {
        controllerSlide = new Swiper('#controlPage #option_control', {
            slidesPerView: 'auto',
            centeredSlides: false,
            spaceBetween: 5,
            grabCursor: true,
            freeMode: true,
            freeModeMomentumRatio: 3,
            preventClicksPropagation: true,
            onTap: function (swiper, event) {
                if ($(event.target).hasClass('optionContainer')) {
                    event.stopPropagation();
                    event.preventDefault();
                    void 0;
                    controlSlideClicked(swiper.clickedIndex, event.target);
                    // return ;//刷新后有问题
                }
            }
        });
    }
    if (audioCtrlSlide == undefined) {
        audioCtrlSlide = new Swiper('#audio_panel .swiper-container', {
            slidesPerView: 'auto',
            centeredSlides: false,
            spaceBetween: 5,
            grabCursor: true,
            freeMode: true,
            freeModeMomentumRatio: 3,
            preventClicksPropagation: true,
            onTap: function (swiper, event) {
                //              event.stopPropagation();刷新后有问题
                if ($(event.target).hasClass("btn_ctlPanel")) {
                    event.preventDefault();
                    controlPanelBtnClicked(event.target.getAttribute("id"));
                    //              return ;//刷新后有问题
                }

            }
        });
    }
});

$("#controlPage").on("pagehide", function () {
    //    $("#foot_section").hide();
    sessionStorage.setItem("allowScroll", 'true');
    mobile_onPageFinish('page_control');
});

$("#songOrderPage").on("pageshow", function () {
    showFooterTabSection();
    resetSearchPage();
    setPageBackAction(false);
    // songOrderTapped();
    changeTitle($.i18n.prop('p_nav_order'));
    // resetNavBar('songOrderPage', '已点', '', 'none');
    document.getElementsByClassName('nav_bar')[0].style.display = 'none';
    checkSongOrderList();
    checkSongSungList();

    if (isOrderPageShow) {
        mobile_onPageStart('page_orderList');
    } else {
        mobile_onPageStart('page_sungList');
    }
});

$('#songOrderPage').on("pagebeforeshow", function () {
    hideTopSearchSection();
});

$('#songOrderPage').on("pagebeforehide", function () {
    // showTopSearchSection();
});

//已点已唱
$("#songOrderPage").on("pagehide", function () {
    //    $("#foot_section").hide();
    // sessionStorage.setItem('isAtTabPage', 'false');
    if (isOrderPageShow) {
        mobile_onPageFinish('page_orderList');
    } else {
        mobile_onPageFinish('page_sungList');
    }
});

//录音详情
$("#recordDetailPage").on("pagebeforehide", function () {
    resetNavBar('recordDetailPage', $.i18n.prop('p_user_works_replay'), $.i18n.prop('p_user_works_list'), 'block');
});

var isCenterPageInit = false;

var arr_pageLevel = [];

function slide(key, html, is_push, pageId) {
    // console.log('getting page key------ ' + key + 'page id :' + pageId);
    if (!isCenterPageInit) {
        isCenterPageInit = true;
        //      $('#recordDetailPage').html(html);
        //      arr_pageLevel.push('user_home');
    } else {
        $('#recordDetailPage').html(html);
        // var isPageNew = true;
        // $.each(arr_pageLevel, function(index, obj) {
        //     if(key == obj) {
        //         isPageNew = false;
        //         return false;
        //     }
        // });

        //      if(!document.getElementById(key)) {
        //          var style_header = '';
        //          if(key != 'settingpage') {
        //              style_header = 'style="margin-top:44px"';
        //          }
        //
        //          $('#page_user').parent().append('<div '  + style_header + ' page-role="page" id="' + key + '" class="page_diange_user" data-dom-cache="true"></div>');
        //      }
        //      $('#'+key).html(html);
        //      arr_pageLevel.push(key);
        //      changePage('#'+key,'none');
    }

    //  $.each(arr_pageLevel, function(index, obj) {
    //      // console.log('current level ' + obj);
    //  });
    //
    //  if(is_push !== false && key != ''){
    //      //
    //      // center.updateTitle(key);
    //  }
}

//window.onpopstate = function (e) {
//  if(arr_pageLevel.length > 1) {
//      arr_pageLevel.pop();
//      //alert('pop to last page '  + arr_pageLevel[arr_pageLevel.length -1]);
//      center.show(arr_pageLevel[arr_pageLevel.length -1], false)
//  }
//}

function songClick(song_id) {
    void 0;
}

function songTop(song_id) {
    void 0;
}

function languageChanged() {
    switchMultiLanguage(getCookie('center_language'), function () {
        changeTitle($.i18n.prop('p_nav_title_home'));
    });
    is_langSetting_init = false;
}

var controllerSlide;
var audioCtrlSlide;
/*控制页面操作*/

$('#controlPage').on("pagebeforeshow", function () {
    hideTopSearchSection();
    hideTopNavSection();
    $('.li_deviceCtrl').text($.i18n.prop('p_control_shutdown'));
    $('.cancel_ctlPanel').text($.i18n.prop('p_search_page_cancel'));
});

$('#controlPage').on("pagebeforehide", function () {
    // showTopSearchSection();
});

$('#controlPage').on("pagebeforecreate", function () {

});
//定时器
var option_increase;

$("#controlPage").on("pagecreate", function () {
    //      $("#option_danmu").on("tap", function (event) {
    //          return false;
    //      });
    //跳转事件

    preloadImage();

    $("#search_control").on("tap", function (event) {
        if (event.target.nodeName != 'BUTTON') {
            sessionStorage.setItem('search_top_level', $.i18n.prop('p_pageTitle_recommend'));
            changePage("search.html", "none");
                mobile_umengEventStat('search_click_event', '入口-控制');
            _hmt.push(['_trackEvent', '控制', '点击', '搜索框', '']);
            return false;
        }
    });

    $("#search_control .search-c").on("tap", function (event) {
        sessionStorage.setItem('search_top_level', $.i18n.prop('p_pageTitle_control'));
                mobile_umengEventStat('search_click_event', '入口-控制');
        changePage("search.html", "none");
        return;
    });
    //遥控器
    var arr_controlButtons = ['control_button_menu', 'control_button_home', 'control_button_back', 'control_button_music_increase', 'control_button_music_decrease', 'control_nav_center', 'control_nav_top', 'control_nav_right', 'control_nav_bottom', 'control_nav_left'];
    $.each(arr_controlButtons, function (index, obj) {
        var remoteButtonClass = '.' + obj;
        if (index >= 5) {
            var nav_buttonClass = remoteButtonClass + '_img';// + obj + "_tap";

            $(remoteButtonClass).on('touchstart', function (event) {
                //              $(".control_nav_img").attr('src', bgclass);
                //                 console.log("测试遥控器:"+nav_buttonClass);
                $(nav_buttonClass).addClass("control_nav_img_tap");
                var controlValue = this.getAttribute("id");
                var intValue = parseInt(controlValue);
                if (intValue > 18 && intValue < 23) {
                    window.clearInterval(option_increase);
                    option_increase = setInterval(function () {
                        requestControlDeviceOperation("101", controlValue, 'control');
                        void 0;
                    }, 300);
                }
            });
            $(remoteButtonClass).on('touchmove touchend', function (event) {
                //              $(".control_nav_img").attr('src', "./images/diange/controlPage/ip_control_circle.png");
                $(nav_buttonClass).removeClass("control_nav_img_tap");
                void 0;
                window.clearInterval(option_increase);
            });
        } else {
            $(remoteButtonClass).on('touchstart', function (event) {
                $(this).addClass('control_button_pressed');
                var controlValue = this.getAttribute("id");
                var intValue = parseInt(controlValue);
                if (intValue > 23 && intValue < 26) {
                    window.clearInterval(option_increase);
                    option_increase = setInterval(function () {
                        requestControlDeviceOperation("101", controlValue, 'control');
                        void 0;
                    }, 300);
                }
            });
            $(remoteButtonClass).on('touchmove touchend', function (event) {
                $(this).removeClass('control_button_pressed');
                void 0;
                window.clearInterval(option_increase);
            });
        }

        $(remoteButtonClass).on('tap', function (event) {
            var controlValue = this.getAttribute("id");
            requestControlDeviceOperation("101", controlValue, 'control');
            void 0;
            return false;
        });
    });

    //播控
    $('#op_switchNextSong').on('touchstart', function (event) {
        this.firstElementChild.setAttribute('src', 'images/diange/nextsong_H.png');
    });
    $('#op_switchNextSong').on('touchmove', function (event) {
        this.firstElementChild.setAttribute('src', 'images/diange/nextsong.png');
    });
    $('#op_switchNextSong').on('tap', function (event) {
        this.firstElementChild.setAttribute('src', 'images/diange/nextsong.png');
        requestControlDeviceOperation('10', '2', 'control'); //切歌
        mobile_umengEventStat('control_page_click_event', '点击-切歌');
        _hmt.push(['_trackEvent', '控制页面', '点击', '切歌', '']);
        return false;
    });
    $('#op_switchSingAlong').on('touchstart', function (event) {
        this.firstElementChild.setAttribute('src', 'images/diange/accompanysing_H.png');
    });
    $('#op_switchSingAlong').on('touchmove', function (event) {
        this.firstElementChild.setAttribute('src', 'images/diange/accompanysing.png');
    });
    $('#op_switchSingAlong').on('tap', function (event) {
        this.firstElementChild.setAttribute('src', 'images/diange/accompanysing.png');
        requestControlDeviceOperation('10', '4', 'control'); //原伴切换
        mobile_umengEventStat('control_page_click_event', '点击-原/伴');
        _hmt.push(['_trackEvent', '控制页面', '点击', '原/伴', '']);
        return false;
    });
    $('#op_playPause').on('touchstart', function (event) {
        this.firstElementChild.setAttribute('src', 'images/diange/playpause_H.png');
    });
    $('#op_playPause').on('touchmove', function (event) {
        this.firstElementChild.setAttribute('src', 'images/diange/playpause.png');
    });
    $('#op_playPause').on('tap', function (event) {
        this.firstElementChild.setAttribute('src', 'images/diange/playpause.png');
        requestControlDeviceOperation('10', '1', 'control'); //播放暂停
        mobile_umengEventStat('control_page_click_event', '点击-播放/暂停');
        _hmt.push(['_trackEvent', '控制页面', '点击', '播放/暂停', '']);
        return false;
    });
    $('#op_singAgain').on('touchstart', function (event) {
        this.firstElementChild.setAttribute('src', 'images/diange/sinagain_H.png');
    });
    $('#op_singAgain').on('touchmove', function (event) {
        this.firstElementChild.setAttribute('src', 'images/diange/sinagain.png');
    });
    $('#op_singAgain').on('tap', function (event) {
        this.firstElementChild.setAttribute('src', 'images/diange/sinagain.png');
        requestControlDeviceOperation('10', '3', 'control'); //重唱
        mobile_umengEventStat('control_page_click_event', '点击-重唱');
        _hmt.push(['_trackEvent', '控制页面', '点击', '重唱', '']);
        return false;
    });
    //调音
    $('#op_microDecrease').on('touchstart', function (event) {
        this.firstElementChild.setAttribute('src', 'images/diange/musicreduce_H.png');
    });
    $('#op_microDecrease').on('touchmove', function (event) {
        this.firstElementChild.setAttribute('src', 'images/diange/musicreduce.png');
    });
    $('#op_microDecrease').on('tap', function (event) {
        this.firstElementChild.setAttribute('src', 'images/diange/musicreduce.png');
        requestControlDeviceOperation('20', '2', 'control'); //麦克风减
        mobile_umengEventStat('control_page_click_event', '点击-麦克风-减');
        _hmt.push(['_trackEvent', '控制页面', '点击', '麦克风-减', '']);
        return false;
    });
    $('#op_microIncrease').on('touchstart', function (event) {
        this.firstElementChild.setAttribute('src', 'images/diange/musicincrease_H.png');
    });
    $('#op_microIncrease').on('touchmove', function (event) {
        this.firstElementChild.setAttribute('src', 'images/diange/musicincrease.png');
    });
    $('#op_microIncrease').on('tap', function (event) {
        this.firstElementChild.setAttribute('src', 'images/diange/musicincrease.png');
        requestControlDeviceOperation('20', '1', 'control'); //麦克风加
        mobile_umengEventStat('control_page_click_event', '点击-麦克风-加');
        _hmt.push(['_trackEvent', '控制页面', '点击', '麦克风-加', '']);
        return false;
    });
    $('#op_musicDecrease').on('touchstart', function (event) {
        this.firstElementChild.setAttribute('src', 'images/diange/musicreduce_H.png');
    });
    $('#op_musicDecrease').on('touchmove', function (event) {
        this.firstElementChild.setAttribute('src', 'images/diange/musicreduce.png');
    });
    $('#op_musicDecrease').on('tap', function (event) {
        this.firstElementChild.setAttribute('src', 'images/diange/musicreduce.png');
        requestControlDeviceOperation('20', '4', 'control'); //音量减
        mobile_umengEventStat('control_page_click_event', '点击-音量-减');
        _hmt.push(['_trackEvent', '控制页面', '点击', '音量-减', '']);
        return false;
    });
    $('#op_musicIncrease').on('touchstart', function (event) {
        this.firstElementChild.setAttribute('src', 'images/diange/musicincrease_H.png');
    });
    $('#op_musicIncrease').on('touchmove', function (event) {
        this.firstElementChild.setAttribute('src', 'images/diange/musicincrease.png');
    });
    $('#op_musicIncrease').on('tap', function (event) {
        this.firstElementChild.setAttribute('src', 'images/diange/musicincrease.png');
        requestControlDeviceOperation('20', '3', 'control'); //音量加
        mobile_umengEventStat('control_page_click_event', '点击-音量-加');
        _hmt.push(['_trackEvent', '控制页面', '点击', '音量-加', '']);
        return false;
    });
    //弹幕和评分
    $('#option_danmu').on('touchstart', function (event) {
        this.firstElementChild.setAttribute('src', 'images/diange/ipatmosphere_H.png');
    });
    $('#option_danmu').on('touchmove', function (event) {
        this.firstElementChild.setAttribute('src', 'images/diange/ipatmosphere.png');
    });
    //  $('#option_danmu').on('tap', function(event) {
    //      this.firstElementChild.setAttribute('src', 'images/diange/ipatmosphere.png');
    //      changePage('danmu.html', "slideup");
    //      _hmt.push(['_trackEvent', '控制页面', '点击', '弹幕', '']);
    //  });
    $('#op_scoreSwitch').on('touchstart', function (event) {
        this.firstElementChild.setAttribute('src', 'images/diange/ipscore_H.png');
    });
    $('#op_scoreSwitch').on('touchmove', function (event) {
        this.firstElementChild.setAttribute('src', 'images/diange/ipscore.png');
    });
    //  $('#op_scoreSwitch').on('tap', function(event) {
    //      this.firstElementChild.setAttribute('src', 'images/diange/ipscore.png');
    //      requestControlDeviceOperation('54', '1', 'control'); //评分开关
    //      _hmt.push(['_trackEvent', '控制页面', '点击', '评分', '']);
    //  });
    //音效、灯光、室温
    $('#op_audioEffect').on('touchstart', function (event) {
        this.firstElementChild.setAttribute('src', 'images/diange/ip_audioEffect_na.png');
    });
    $('#op_audioEffect').on('touchmove', function (event) {
        this.firstElementChild.setAttribute('src', 'images/diange/ipsound.png');
    });
    //  $('#op_audioEffect').on('tap', function(event) {
    //      this.firstElementChild.setAttribute('src', 'images/diange/ipsound.png');
    //      _hmt.push(['_trackEvent', '控制页面', '点击', '音效', '']);
    //  });
    $('#op_light').on('touchstart', function (event) {
        this.firstElementChild.setAttribute('src', 'images/diange/ip_light_na.png');
    });
    $('#op_light').on('touchmove', function (event) {
        this.firstElementChild.setAttribute('src', 'images/diange/iplight.png');
    });
    //  $('#op_light').on('tap', function(event) {
    //      this.firstElementChild.setAttribute('src', 'images/diange/iplight.png');
    //      _hmt.push(['_trackEvent', '控制页面', '点击', '灯光', '']);
    //  });
    $('#op_temperature').on('touchstart', function (event) {
        this.firstElementChild.setAttribute('src', 'images/diange/iptemperature_highlight.png');
    });
    $('#op_temperature').on('touchmove', function (event) {
        this.firstElementChild.setAttribute('src', 'images/diange/iptemperature.png');
    });
    //  $('#op_temperature').on('tap', function(event) {
    //      this.firstElementChild.setAttribute('src', 'images/diange/iptemperature.png');
    //      $('.controlPanel').addClass('showControlPanel');
    //      $('.bgCover').show();
    //      console.log('temperature tap');
    //      _hmt.push(['_trackEvent', '控制页面', '点击', '室温', '']);
    //      return false;
    //  });
    $('.bgCover').on('tap', function (event) {
        hideContralPanel();
        return false;
    });
    $(".btnContainer_ctlPanel").on('tap', 'button', function (event) {
        controlPanelBtnClicked(event.target.getAttribute('id'));
    });
    $(".cancel_ctlPanel").on("tap", function (event) {
        hideContralPanel();
        return false;
    });

    $('.icon_moreDeviceCtrl').on("tap", function () {
        var obj = $('.deviceCtrlList');
        //  if(obj.hasClass("show_deviceCtrlList")){
        //      obj.removeClass('show_deviceCtrlList');
        //      $('.bgcover').hide;
        //  }
        //  else {
        obj.addClass("show_deviceCtrlList");
        $('.bgCover').show();
        // }
        return false;
    });
    //关机
    $('.deviceCtrlList').on('tap', 'button', function (event) {
        showDialogAlert($.i18n.prop('t_whether_shut_down'));
        $("#btn_device_confirm").on("tap", function (event) {
            void 0;
            // 开关机操作，若机顶盒不可遥控，则按K米协议发送controltype-controlvalue为1-2的关机指令，若可遥控，则发送101-26的关机指令
            if (sessionStorage.getItem(isSupportRemote) == '1') {
                controlPanelBtnClicked('101_26');
            } else {
                controlPanelBtnClicked("1_2");
            }
            $("#btn_device_confirm").off("tap");
            hideDialogAlert();
            return false;
        });

    });
    // $('.deviceCtrlList button').attr("disabled",'true');

    $('.nav_tab_remote').on('click', function () {
        resetTopTabOption_control('nav_tab_remote');
        $('.controlPanel1').css({
            'display': ''
        });
        $('.controlPanel2').css({
            'display': 'none'
        });
    });

    $('.nav_tab_control').on('click', function () {
        resetTopTabOption_control('nav_tab_control');
        $('.controlPanel1').css({
            'display': 'none'
        });
        $('.controlPanel2').css({
            'display': ''
        });
    });
});

function hideContralPanel() {
    $('.showControlPanel').removeClass('showControlPanel');
    $('.deviceCtrlList').removeClass('show_deviceCtrlList');
    $('.bgCover').hide();
}

function controlPanelBtnClicked(clickedID) {
    var values = clickedID.split('_');
    void 0;

    requestControlDeviceOperation(values[0], values[1], 'control');
}

function controlSlideClicked(clickedIndex, clicedSlide) {
    switch (clickedIndex) {
        case 0:
            {
                clicedSlide.firstElementChild.setAttribute('src', 'images/diange/ipatmosphere.png');
                changePage('danmu.html', "none");
                mobile_umengEventStat('control_page_click_event', '点击-弹幕');
                _hmt.push(['_trackEvent', '控制页面', '点击', '弹幕', '']);
                break;
            }
        case 1:
            {
                clicedSlide.firstElementChild.setAttribute('src', 'images/diange/ipscore.png');
                requestControlDeviceOperation('54', '1', 'control'); //评分开关
                mobile_umengEventStat('control_page_click_event', '点击-评分');
                _hmt.push(['_trackEvent', '控制页面', '点击', '评分', '']);
                break;
            }
        case 2:
            {
                clicedSlide.firstElementChild.setAttribute('src', 'images/diange/ipsound.png');
                $('#audio_panel').addClass('showControlPanel');
                $('.bgCover').show();
                mobile_umengEventStat('control_page_click_event', '点击-音效');
                _hmt.push(['_trackEvent', '控制页面', '点击', '音效', '']);
                break;
            }
        case 3:
            {
                clicedSlide.firstElementChild.setAttribute('src', 'images/diange/iplight.png');
                $('#light_panel').addClass('showControlPanel');
                $('.bgCover').show();
                mobile_umengEventStat('control_page_click_event', '点击-灯光');
                _hmt.push(['_trackEvent', '控制页面', '点击', '灯光', '']);
                break;
            }
        case 4:
            {
                clicedSlide.firstElementChild.setAttribute('src', 'images/diange/iptemperature.png');
                $('#temperature_panel').addClass('showControlPanel');
                $('.bgCover').show();
                void 0;
                mobile_umengEventStat('control_page_click_event', '点击-室温');
                _hmt.push(['_trackEvent', '控制页面', '点击', '室温', '']);
                break;
            }
    }
}
/*已点已唱页面操作*/
/*
    $("#songOrderPage").on("pageshow", function () {
        getSongOrderdOrSungList(true);
        getSongOrderdOrSungList(false);
    });*/
var isOrderPageShow;
$("#songOrderPage").on("pagecreate", function () {
    //获取websocket连接信息
    songSungListOperation();
    $("#search_order").on("tap", function (event) {
        sessionStorage.setItem('search_top_level', $.i18n.prop('p_tab_order'));
                mobile_umengEventStat('search_click_event', '入口-已点');
        changePage("search.html", "none");
        return;
    });
    $('#no_orders_text').show();
    //已点、已唱切换
    $('#songOrderContent').show();
    $('#songSungContent').hide();
    isOrderPageShow = true;
    $('#block_order').addClass('borderBottomColorRed');
    $('#text_order').addClass('selectTextColorRed');
    $('#block_order').on("tap", function (event) {
        $('#songOrderContent').show();
        $('#songSungContent').hide();
        $('#block_order').addClass('borderBottomColorRed');
        $('#block_sung').removeClass('borderBottomColorRed');
        $('#text_order').addClass('selectTextColorRed');
        $('#text_sung').removeClass('selectTextColorRed');
        mobile_onPageStart('page_orderList');
        mobile_onPageFinish('page_sungList');
        isOrderPageShow = true;
        mobile_umengEventStat('songorderd_page_click_event', '点击-已点歌曲');
        _hmt.push(['_trackEvent', '已点页面', '点击', '已点歌曲', '']);
    });
    $('#block_sung').on("tap", function (event) {
        $('#songOrderContent').hide();
        $('#songSungContent').show();
        $('#block_sung').addClass('borderBottomColorRed');
        $('#block_order').removeClass('borderBottomColorRed');
        $('#text_sung').addClass('selectTextColorRed');
        $('#text_order').removeClass('selectTextColorRed');
        isOrderPageShow = false;
        mobile_onPageFinish('page_orderList');
        mobile_onPageStart('page_sungList');
        mobile_umengEventStat('songorderd_page_click_event', '点击-已唱歌曲');
        _hmt.push(['_trackEvent', '已点页面', '点击', '已唱歌曲', '']);
    });
    var windowHight = document.body.clientHeight;
    windowHight -= 180;
    $(".no_songs_content").css({
        "height": windowHight
    });
    $('#loadmoreSongSung').hide();
    //  requestSongOrderSungOperation(true);
    //  requestSongOrderSungOperation(false);
    orderListBindOperation(); //绑定已点列表点击事件
    //下拉刷新
     reloadSongOrder = new EvRefresh({
        refreshView: "songOrderContent",
        refreshHeader: "refreshIcon",
        callback: reloadsongorderlist,
        startY: 150,
        stayY: 100
    });
});

var RefreshOrderListTimeout;
var reloadSongOrder;
function reloadsongorderlist() {
    if (sessionStorage.getItem("isConnected") != 'true') {
        showInformMessage('error', $.i18n.prop('t_please_connect_device'), 4500);
        reloadSongOrder.stopRefresh();
        return;
    }
    if(sessionStorage.getItem('connectType') == "lan"){
            mobile_onPageStart('page_orderList');
    }else {
            getSongOrderdOrSungList(true);
    }
    RefreshOrderListTimeout = window.setTimeout(function () {
        void 0;
        stopRefreshingOrderList(false);
    }, 20000);
}
function stopRefreshingOrderList(isSuccess) {
    if (reloadSongOrder && reloadSongOrder.isGetting) {
        if (isSuccess) {
            void 0;
            showInformMessage('success', $.i18n.prop('t_reload_success'), 2500);
        } else {
            showInformMessage('error', $.i18n.prop('t_network_unavailable'), 2500);
        }
        reloadSongOrder.stopRefresh();
        window.RefreshOrderListTimeout && window.clearTimeout(window.RefreshOrderListTimeout);
    }
}

/*个人中心页面操作*/

var pageUserShow = true;

$("#page_user").on("pagebeforeshow", function () {
    hideTopSearchSection();

    // 获取用户绑定的下载管理设备列表
    requestDownloadManagerDevicesList();
});

$("#page_user").on("pageshow", function () {
    showFooterTabSection();

    setPageBackAction(false);
    $('.searchinput').attr('placeholder', $.i18n.prop('p_search_field_home'));

    //是否支持个人中心用户体系
    if (sessionStorage.getItem('isUserCenterSupported') == 'true') {
        $('.user_list').css({
            'opacity': '1'
        });
    } else {
        $('.user_list').css({
            'opacity': '0.4'
        });
    }
    // userCenterTapped();
    resetNavBar('page_user', $.i18n.prop('p_nav_me'), '', 'none');

    changeTitle($.i18n.prop('p_nav_me'));
    pageUserShow = true;
    mobile_onPageStart('page_me');
    if (sessionStorage.getItem("isConnected") == 'true') {
        $("#btn_connectStatus").text($.i18n.prop('btn_connectStatus_disconnect'));
    } else {
        $("#btn_connectStatus").text($.i18n.prop('btn_connectStatus'));
    }
    updateAppEntry();
    var username = sessionStorage.getItem('userName');
    if (username) {
        $('.nickName').text(username);
    } else {
        $('.nickName').text($.i18n.prop('p_user_not_logged'));
    }
});

$("#page_user").on("pagebeforehide", function () {
    pageUserShow = false;
    document.getElementsByClassName('nav_bar')[0].style.display = 'none';
    // sessionStorage.setItem('isAtTabPage', 'false');
});

$("#page_user").on("pagecreate", function () {
    //console.log('userCenter');
    setPageBackAction(false);

    if (sessionStorage.getItem('user_id')) {
        $('#userInfo').on("tap", function (event) {
            // if (pageUserShow) {
            //     pageUserShow = false;
            //
            // }
            if (sessionStorage.getItem('isUserCenterSupported') == 'true') {
                changePage("#userCenterPage", "slide");
            }
            mobile_umengEventStat('me_page_click_event', '点击-用户信息');
            _hmt.push(['_trackEvent', '我', '点击', '用户信息', '']);
            return false;
        });
    } else {

        $('#userInfo').on("tap", function (event) {
            if (sessionStorage.getItem('isUserCenterSupported') == 'true') {
                sessionStorage.setItem('login_top_level', $.i18n.prop('p_nav_me'));
                changePage("loginPage.html", "none");
            }
            return false;
        });
    }

    $("#disconnect").on("tap", function (event) {
        if (sessionStorage.getItem("isConnected") == 'true') {
            //showDialogAlert('是否与机顶盒断开连接?');
            // commonDialogPopupConfirm();
            wx_dialogPopup();
        } else {
            //showInformMessage('error', '你还没有跟机顶盒连接..', 4500);
            deviceConnection();
        }
    });

    $("#userSetting").on("tap", function (event) {
        changePage('userSetting.html', 'slide');
        return false;
    });

    $("#myWorks").on("tap", function (event) {
        if (sessionStorage.getItem('isUserCenterSupported') == 'true') {
            sessionStorage.setItem('songList_top_level', $.i18n.prop('p_nav_me'));
            changePage('userWorks.html', 'slide');
        }
        return false;
    });
    $('#MyCollections').on('tap', function (event) {
        if (sessionStorage.getItem('isUserCenterSupported') == 'true') {
            sessionStorage.setItem("songListName", $.i18n.prop('p_user_fav'));
            sessionStorage.setItem("pageType", 5);
            sessionStorage.setItem('songList_top_level', $.i18n.prop('p_nav_me'));
            changePage("songListDetail.html", "none");
        }
        return false;
    });

});

$("#btn_device_cancel").on("tap", function (event) {
    //alert('取消');
    wx_dialogPopupCancel();
    return false;
});


//个人资料页面，安卓changePage无法打开相册
$('#userCenterPage').on('pagebeforeshow', function () {
    resetNavBar('userCenterPage', $.i18n.prop('t_user_info_setting'), $.i18n.prop('p_nav_me'), 'block');
});

$('#userCenterPage').on('pageshow', function () {
    setPageBackAction(true);

    changeTitle($.i18n.prop('t_user_info_setting'));
    document.title = $.i18n.prop('t_user_info_setting');
    mobile_onPageStart('page_userSetting');
    var nick = sessionStorage.getItem("userName");
    if (nick == null) {
        $('#editName').val('');
    } else {
        $('#editName').val(nick);
    }
    hideFooterTabSection();
    readUserInfo();
});

$('#userCenterPage').on('pagehide', function () {
    //  $('.navBtnRight').hide();
    //  $('.navBtnRight').off('tap');
    mobile_onPageFinish('page_userSetting');
});

$("#userCenterPage").on("pagecreate", function () {
    if (isHybirdApp()) {
        //      var rightBtn = $('.navBtnRight');
        //      rightBtn.show();
        //      rightBtn.text('保存');
        //      rightBtn.off('tap');
        //      rightBtn.on('tap', function() {
        //          m_saveUserInfo();
        //      });
        $("#saveUserInfo p").text($.i18n.prop('p_user_Page_Logout'));
        $("#saveUserInfo").on("tap", function (event) {
            logOutConfirm();
        });
    } else {
        //      $("#saveUserInfo p").text('保存');
        //      $("#saveUserInfo").on("tap", function(event) {
        //          m_saveUserInfo();
        //      });
        $("#saveUserInfo").hide();

    }
    $("#userAvatarChange").on("tap", function (event) {
        userAvatarClicked();
        return false;
    });
    $('#changeNickName').on('tap', function () {
        changePage('changeNick.html', 'none');
    });

    $('.userAvatar').one("error", function (e) {
        $(this).attr("src", "images/diange/ip_default_useravater.png");
    });
    var u = navigator.userAgent;
    if (u.indexOf('Android') > -1 || u.indexOf('Linux') > -1) { //安卓手机  
        $('#birthdaySelect').on('input', function () {
            birthdayChange();
        });
    } else if (u.indexOf('iPhone') > -1) { //苹果手机 
        $('#birthdaySelect').change(function () {
            birthdayChange();
        });
    } else if (u.indexOf('Windows Phone') > -1) { //winphone手机 
        $('#birthdaySelect').on('input', function () {
            birthdayChange();
        });
    }
});
//授权码页面
var isAuthed = false;
$("#bindAuthPage").on("pagecreate", function () {
    //绑定点击事件
    var page = $(this);
    page.find("#btn_bindAuth").on("tap", function (e) {
        var authcode = $("#authCodeInput").val();
        void 0;
        if (authcode.length > 0) {
            mobile_bindAuth(authcode);
        } else {
            showInformMessage("error", "请输入授权码", 3500);
        }
        void 0;
        return false;
    });
    page.find("#btn_getAuthCode").on('tap', function (e) {
        var roombindingcode = sessionStorage.getItem("roombindingcode");
        void 0;
        mobile_unbindRoom();
        mobile_bindRoomBylocalNeedAuth(roombindingcode);
        return false;
    });
}).on("pagebeforeshow", function () {
    //显示导航栏
    
}).on("pageshow", function () {
    isAuthed = false;
    var page = $(this);
    page.find("#btn_bindAuth").text($.i18n.prop('p_authpage_auth'));
    page.find("#btn_getAuthCode").text($.i18n.prop("p_authpage_get_authcode"));
    page.find("#authCodeInput").attr('placeholder',$.i18n.prop('p_authpage_input_placeholder')).val("");
    $("#foot_section").hide();
    setPageBackAction(true);
    var pagetitle = $.i18n.prop("p_authpage_title");
    changeTitle(pagetitle);
    resetNavBar('bindAuthPage', pagetitle, "", 'block');
    hideTopNavSection();
    mobile_onPageStart('page_auth');
}).on("pagehide", function () {
    if (!isAuthed) {
        mobile_unbindRoom();
    }
    mobile_onPageFinish('page_auth');
    $("#foot_section").show();
});
function authSuccess() {
    showInformMessage("success", $.i18n.prop("t_device_connect_success"), 3500);
    isAuthed = true;
    history.go(-1);
}
function authFail(msg) {
    showInformMessage("error", msg, 3500);
    //解绑后会导致参数错误
    // mobile_unbindRoom();
}
//授权码页面end


//登陆页面

var countDown;
var intervalometer;
var btn;

//检查手机号格式
function checkPhoneNum(phoneNum) {
    var pattern = /^1[34578][0123456789]\d{8}$/;
    var pattern2 = /^[A-Za-zd]+([-_.][A-Za-zd]+)*@([A-Za-zd]+[-.])+[A-Za-zd]{2,5}$/;
    if (pattern.test(phoneNum)) {
        return 1; //手机
    } else if (pattern2.test(phoneNum)) {
        return 2; //邮箱
    } else {
        return -1; //非法输入
    }
    //  return pattern.test(phoneNum);//||pattern2.test(phoneNum));
}
//检查密码格式
function checkPassWore(password) {
    var pattern = /^[A-Za-z0-9]{6,20}$/;
    return pattern.test(password);
}

function setTimer() {
    if (countDown <= 0) {
        window.clearInterval(intervalometer);
        btn.text('获取验证码');
        btn.removeAttr('disabled');
    } else {
        countDown--;
        btn.text(countDown + ' S');
    }
}

function userLoginPage() {
    sessionStorage.setItem('login_top_level', '');
    changePage("loginPage.html", "slide")
}

function isPhotoMVsupport() {
    if (sessionStorage.getItem("isConnected") != 'true') {
        showInformMessage('error', $.i18n.prop('t_please_connect_device'), 4500);
        return false;
    }
    if(sessionStorage.getItem('connectType') != "lan"){
        showInformMessage('error', $.i18n.prop('p_photomv_not_wifi_unsupported'), 4500);
        return false;
    }
    if (sessionStorage.getItem(isSupportPhotoMV) != '1') {
        showInformMessage('error', $.i18n.prop('t_not_support_this_function'), 4500);
        return false;
    }
    if (!sessionStorage.getItem('user_id')) {
        showInformMessage('error',$.i18n.prop('p_need_login'),4500);
        sessionStorage.setItem('login_top_level', '');
        changePage('loginPage.html', 'none');
        return false;
    }
    return true;
}
function changeToMvPage() {
    void 0;

    mobile_umengEventStat('photomv_click_event', '点击-首页照片MV入口');
    _hmt.push(['_trackEvent', '照片MV', '点击', '入口进入', '']);
    if (isPhotoMVsupport()) {
        changePage('photoMV.html');
    }
}